import{s as ot,f as W,n as ut,o as ct}from"../chunks/scheduler.37c15a92.js";import{S as mt,i as pt,g as l,s,r as et,A as gt,h as r,f as i,c as a,j as it,u as nt,x as u,k as c,y as ht,a as n,v as st,d as at,t as lt,w as rt}from"../chunks/index.7cb9c9b8.js";import{H as ft,E as dt}from"../chunks/EditOnGithub.858acfec.js";function vt(F){let o,H,x,$,m,P,p,V="In RL, we build an agent that can <strong>make smart decisions</strong>. For instance, an agent that <strong>learns to play a video game.</strong> Or a trading agent that <strong>learns to maximize its benefits</strong> by deciding on <strong>what stocks to buy and when to sell.</strong>",k,g,B,C,h,D="To make intelligent decisions, our agent will learn from the environment by <strong>interacting with it through trial and error</strong> and receiving rewards (positive or negative) <strong>as unique feedback.</strong>",R,f,J="Its goal <strong>is to maximize its expected cumulative reward</strong> (because of the reward hypothesis).",q,d,K="<strong>The agent’s decision-making process is called the policy π:</strong> given a state, a policy will output an action or a probability distribution over actions. That is, given an observation of the environment, a policy will provide an action (or multiple probabilities for each action) that the agent should take.",A,v,N,E,_,Q="<strong>Our goal is to find an optimal policy π* </strong>, aka., a policy that leads to the best expected cumulative reward.",z,b,X="And to find this optimal policy (hence solving the RL problem), there <strong>are two main types of RL methods</strong>:",I,w,Y="<li><em>Policy-based methods</em>: <strong>Train the policy directly</strong> to learn which action to take given a state.</li> <li><em>Value-based methods</em>: <strong>Train a value function</strong> to learn <strong>which state is more valuable</strong> and use this value function <strong>to take the action that leads to it.</strong></li>",j,L,Z,G,T,tt="And in this unit, <strong>we’ll dive deeper into the value-based methods.</strong>",O,y,S,M,U;return m=new ft({props:{title:"What is RL? A short recap",local:"what-is-rl",headingTag:"h1"}}),y=new dt({props:{source:"https://github.com/huggingface/deep-rl-class/blob/main/units/en/unit2/what-is-rl.mdx"}}),{c(){o=l("meta"),H=s(),x=l("p"),$=s(),et(m.$$.fragment),P=s(),p=l("p"),p.innerHTML=V,k=s(),g=l("img"),C=s(),h=l("p"),h.innerHTML=D,R=s(),f=l("p"),f.innerHTML=J,q=s(),d=l("p"),d.innerHTML=K,A=s(),v=l("img"),E=s(),_=l("p"),_.innerHTML=Q,z=s(),b=l("p"),b.innerHTML=X,I=s(),w=l("ul"),w.innerHTML=Y,j=s(),L=l("img"),G=s(),T=l("p"),T.innerHTML=tt,O=s(),et(y.$$.fragment),S=s(),M=l("p"),this.h()},l(t){const e=gt("svelte-u9bgzb",document.head);o=r(e,"META",{name:!0,content:!0}),e.forEach(i),H=a(t),x=r(t,"P",{}),it(x).forEach(i),$=a(t),nt(m.$$.fragment,t),P=a(t),p=r(t,"P",{"data-svelte-h":!0}),u(p)!=="svelte-4gdckx"&&(p.innerHTML=V),k=a(t),g=r(t,"IMG",{src:!0,alt:!0}),C=a(t),h=r(t,"P",{"data-svelte-h":!0}),u(h)!=="svelte-1wnqqel"&&(h.innerHTML=D),R=a(t),f=r(t,"P",{"data-svelte-h":!0}),u(f)!=="svelte-1nx2sev"&&(f.innerHTML=J),q=a(t),d=r(t,"P",{"data-svelte-h":!0}),u(d)!=="svelte-1he2m43"&&(d.innerHTML=K),A=a(t),v=r(t,"IMG",{src:!0,alt:!0}),E=a(t),_=r(t,"P",{"data-svelte-h":!0}),u(_)!=="svelte-9qzcpz"&&(_.innerHTML=Q),z=a(t),b=r(t,"P",{"data-svelte-h":!0}),u(b)!=="svelte-1fm2b8x"&&(b.innerHTML=X),I=a(t),w=r(t,"UL",{"data-svelte-h":!0}),u(w)!=="svelte-1x976fb"&&(w.innerHTML=Y),j=a(t),L=r(t,"IMG",{src:!0,alt:!0}),G=a(t),T=r(t,"P",{"data-svelte-h":!0}),u(T)!=="svelte-1ywk1bx"&&(T.innerHTML=tt),O=a(t),nt(y.$$.fragment,t),S=a(t),M=r(t,"P",{}),it(M).forEach(i),this.h()},h(){c(o,"name","hf:doc:metadata"),c(o,"content",_t),W(g.src,B="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit3/rl-process.jpg")||c(g,"src",B),c(g,"alt","RL process"),W(v.src,N="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit3/policy.jpg")||c(v,"src",N),c(v,"alt","Policy"),W(L.src,Z="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit3/two-approaches.jpg")||c(L,"src",Z),c(L,"alt","Two RL approaches")},m(t,e){ht(document.head,o),n(t,H,e),n(t,x,e),n(t,$,e),st(m,t,e),n(t,P,e),n(t,p,e),n(t,k,e),n(t,g,e),n(t,C,e),n(t,h,e),n(t,R,e),n(t,f,e),n(t,q,e),n(t,d,e),n(t,A,e),n(t,v,e),n(t,E,e),n(t,_,e),n(t,z,e),n(t,b,e),n(t,I,e),n(t,w,e),n(t,j,e),n(t,L,e),n(t,G,e),n(t,T,e),n(t,O,e),st(y,t,e),n(t,S,e),n(t,M,e),U=!0},p:ut,i(t){U||(at(m.$$.fragment,t),at(y.$$.fragment,t),U=!0)},o(t){lt(m.$$.fragment,t),lt(y.$$.fragment,t),U=!1},d(t){t&&(i(H),i(x),i($),i(P),i(p),i(k),i(g),i(C),i(h),i(R),i(f),i(q),i(d),i(A),i(v),i(E),i(_),i(z),i(b),i(I),i(w),i(j),i(L),i(G),i(T),i(O),i(S),i(M)),i(o),rt(m,t),rt(y,t)}}}const _t='{"title":"What is RL? A short recap","local":"what-is-rl","sections":[],"depth":1}';function bt(F){return ct(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class yt extends mt{constructor(o){super(),pt(this,o,bt,vt,ot,{})}}export{yt as component};
